For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet orders filtered by search parameters
          • GETGet order by {order-id}
          • POSTConfirm receipt of order and update merchant order number
          • POSTRun an operation on an order
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Orders

Get orders filtered by search parameters

GET
https://api.feedamp.feedonomics.com/api/v2/orders
GET
/api/v2/orders
$curl https://api.feedamp.feedonomics.com/api/v2/orders \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "orders": [
3 {
4 "id": "109872189273617283",
5 "marketplace_order_number": "111-99998888-55555",
6 "customer": {
7 "full_name": "A. Customer",
8 "email": "customer@internet-provider.com",
9 "phone": "5558675309",
10 "vat": "78131452263"
11 },
12 "imported_date": {},
13 "purchase_date": {},
14 "currency": "USD",
15 "shipping_address": {
16 "full_name": "John M. Doe",
17 "address1": "123 Fake Street",
18 "city": "Ghost Town",
19 "state": "DC",
20 "postal_code": "91234",
21 "country_code": "USA",
22 "address_type": "business",
23 "address2": "Building 456",
24 "address3": "Room 789",
25 "country_code_iso2": "US",
26 "phone": "9997776666"
27 },
28 "order_lines": [
29 {
30 "id": "109872189273617283",
31 "marketplace_line_number": "XX-111-FF-1111",
32 "sku": "1234-12353",
33 "product_name": "ACME Super Product",
34 "quantity": 1,
35 "unit_price": 200,
36 "shipping_method": "Standard",
37 "shipping_price": 1.95,
38 "taxes": [
39 {
40 "type": "SHIPPING",
41 "amount": 1.1
42 }
43 ],
44 "discounts": [
45 {
46 "name": "Spring Discount",
47 "amount": 1.1,
48 "type": "ITEM"
49 }
50 ],
51 "platform_discount": 5.5,
52 "commission": 2.5,
53 "gift_wrap_price": 5.99,
54 "gift_wrap_tax": 0.3,
55 "is_tax_collected_by_marketplace": false,
56 "order_line_additional_properties": {}
57 }
58 ],
59 "marketplace_state": "Shipped",
60 "customer_order_number": "000-1234567-7654321",
61 "merchant_order_number": "12345",
62 "marketplace_name": "Target",
63 "integration_name": "My Store",
64 "sales_channel": "Marketplace.co.uk",
65 "location": {
66 "source_location_id": "a0b0c0-f-f-f-f00f",
67 "name": "City Store - Citiesville",
68 "active": true,
69 "client_location_id": "my-locid_00",
70 "address": "1234 Street Ave., City Township, NJ 00000",
71 "custom_fields": {}
72 },
73 "delivery_notes": "leave by the back door.",
74 "earliest_ship_date": {},
75 "latest_ship_date": {},
76 "latest_delivery_date": {},
77 "earliest_delivery_date": {},
78 "gift_message": "Happy birthday!",
79 "marketing_opt_in": false,
80 "billing_address": {
81 "full_name": "John M. Doe",
82 "address1": "123 Fake Street",
83 "city": "Ghost Town",
84 "state": "DC",
85 "postal_code": "91234",
86 "country_code": "USA",
87 "address_type": "business",
88 "address2": "Building 456",
89 "address3": "Room 789",
90 "country_code_iso2": "US",
91 "phone": "9997776666"
92 },
93 "order_additional_properties": {},
94 "payment_gateway_transactions": [
95 {
96 "id": "id",
97 "amount": 10,
98 "currency": "USD",
99 "gateway_transaction_id": "12345",
100 "gateway": "stripe"
101 }
102 ],
103 "workflow_status": "SENT_FOR_FULFILLMENT",
104 "normalized_marketplace_state": "PENDING",
105 "is_marketplace_fulfilled": false,
106 "marketplace_state_changed_at": {},
107 "fulfillment_type": "shipment",
108 "shipment_service_level": "UPS_GROUND",
109 "shipment_node": "Austin Warehouse"
110 }
111 ],
112 "next_cursor": "string"
113}
Get all orders that match the parameters that you have submitted. The maximum recommended call frequency for retrieving data from this endpoint is 2 requests per second.
Was this page helpful?
Previous

Get an authentication token

Next

Get order by {order-id}

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Query parameters

marketplace_statestringOptional

The state of the order. Multiple states can be matched by specifying a comma-separated list of values.

normalized_marketplace_stateenumOptional

FeedAMP’s understanding of the state of the order in the marketplace. Multiple states can be matched by specifying a comma-separated list of values.

Allowed values:
marketplace_state_changed_afterdatetimeOptional

Marketplace state was last changed after this datetime. RFC-3339 date-time format — fractional seconds not allowed

marketplace_state_changed_beforedatetimeOptional

Marketplace state was last changed before this datetime. RFC-3339 date-time format — fractional seconds not allowed

imported_afterdatetimeOptional

Orders created in FeedAMP after this datetime. RFC-3339 date-time format — fractional seconds not allowed

imported_beforedatetimeOptional

Orders created in FeedAMP before this datetime. RFC-3339 date-time format — fractional seconds not allowed

idstringOptional

FeedAMP order ID. May be a comma-delimited list of multiple IDs.

marketplace_order_numberstringOptional

The primary order number provided by the marketplace. May be a comma-delimited list of multiple

customer_order_numberstringOptional

The customer-facing order number provided by the marketplace. May be a comma-delimited list of multiple

merchant_order_numberstringOptional

Order identifier in the merchant’s e-commerce platform. May be a comma-delimited list of multiple

integration_idstringOptional
FeedAMP integration ID to limit results to a single integration
source_location_idstringOptional
Source platform identifier for a location to limit order results to
client_location_idstringOptional

Client-provided identifier for a location to limit order results to. This will take precedence over source_location_id if both are present in the request.

feedamp_statusstringOptional
The feedamp order status
feedamp_status_changed_afterdatetimeOptional

Feedamp order status was last changed after this datetime. RFC-3339 date-time format — fractional seconds not allowed

feedamp_status_changed_beforedatetimeOptional

Feedamp order status was last changed before this datetime. RFC-3339 date-time format — fractional seconds not allowed

limitintegerOptional1-250Defaults to 100
The max number of orders in the response.
cursorstringOptional
Cursor for the next page of orders.
include_raw_databooleanOptionalDefaults to false
Set true to include the raw data from the marketplace for each order in results.

Response

List of orders
orderslist of objects
next_cursorstring

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error